## LightDMLayout

LightDMLayout — Control the keyboard layout

## Functions

GList * | lightdm_get_layouts ()
void | lightdm_set_layout ()
LightDMLayout * | lightdm_get_layout ()
const gchar * | lightdm_layout_get_name ()
const gchar * | lightdm_layout_get_short_description ()
const gchar * | lightdm_layout_get_description ()

## Properties

char * | description | Read / Write / Construct Only
char * | name | Read / Write / Construct Only
char * | short-description | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── LightDMLayout

## Includes

    #include <lightdm.h>

## Description

LightDMLayout is an object that describes a keyboard that is available on the system.

## Functions

### lightdm_get_layouts ()

    GList *
    lightdm_get_layouts (void);

Get a list of keyboard layouts to present to the user.

#### Returns

A list of LightDMLayout that should be presented to the user.

[element-type LightDMLayout][transfer none]

### lightdm_set_layout ()

    void
    lightdm_set_layout (LightDMLayout *layout);

Set the layout for this session.

#### Parameters

layout | The layout to use |

### lightdm_get_layout ()

    LightDMLayout *
    lightdm_get_layout (void);

Get the current keyboard layout.

#### Returns

The currently active layout for this user.

[transfer none]

### lightdm_layout_get_name ()

    const gchar *
    lightdm_layout_get_name (LightDMLayout *layout);

Get the name of a layout.

#### Parameters

layout | A LightDMLayout |

#### Returns

The name of the layout

### lightdm_layout_get_short_description ()

    const gchar *
    lightdm_layout_get_short_description (LightDMLayout *layout);

Get the short description of a layout.

#### Parameters

layout | A LightDMLayout |

#### Returns

A short description of the layout

### lightdm_layout_get_description ()

    const gchar *
    lightdm_layout_get_description (LightDMLayout *layout);

Get the long description of a layout.

#### Parameters

layout | A LightDMLayout |

#### Returns

A long description of the layout

## Property Details

### The `“description”` property

      “description”              char *

Long description of the layout.

Owner: LightDMLayout

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     char *

Name of the layout.

Owner: LightDMLayout

Flags: Read / Write / Construct Only

Default value: NULL

### The `“short-description”` property

      “short-description”        char *

Short description of the layout.

Owner: LightDMLayout

Flags: Read / Write / Construct Only

Default value: NULL